Subject: Your Discuss on (2017-05-08) on rfc2460bis

From: Bob Hinden <[email-masked]>
Date: Tue, 9 May 2017 10:46:03 +0300

Mirja,

> Mirja Kühlewind
> 
> Discuss (2017-05-08)
> 
> Thanks for addressing my discuss. Text on rfc3168 is fine! I'm also okay with the text on extension headers, however, I have one remaining processing question: Now the text uses similar but not the same wording as RFC6564. RFC6564 says "new IPv6 extension headers MUST NOT be created or specified, ..." and this draft says "Defining new IPv6 extension headers is not recommended, ..." in not normative language. Is that on purpose? Does this draft need to absolete RFC6564 or refer or whatever?

Thanks for clearing your other discusses.

I assume you are referring to the last paragraph in Section 3 of RFC6564:

  Mindful of the need for compatibility with existing IPv6 deployments,
  new IPv6 extension headers MUST NOT be created or specified, unless
  no existing IPv6 extension header can be used by specifying a new
  option for that existing IPv6 extension header.  Any proposal to
  create or specify a new IPv6 extension header MUST include a detailed
  technical explanation of why no existing IPv6 extension header can be
  used in the document proposing the new IPv6 extension header.

With my editor’s hat on I choose the current language for two reasons.  The text above has MUST NOT followed by an “unless” clause.  More like a should.   The use of the word “recommends" matches the style of the document where “recommend” is used in a number of places in the document.  I think the intent of the text is very clear.

The w.g. choose to not obsolete RFC6564 (or the other updating RFCs) because they provide additional background on why the updates that were made.  This is useful and is not obsoleted.

Hope this resolves the issue you are raising.

Thanks,
Bob

---

From: "Mirja Kuehlewind (IETF)" <[email-masked]>
Date: Thu, 18 May 2017 11:13:09 -0400

Hi Bob,

sorry for my late reply. But I have to say this does not fully resolve my issue. For me the text is not completely similar. Also I don’t understand why you specify the same thing normatively (using different words) in two documents. Usually it’s better to only specify it normatively in one document and refer to this in the other. That avoids confusion and makes updating in future much easier as it cannot lead to consistency problems. Would it be an option to make the text in 2460bis not normative (or even remove it) and clearly refer to RFC6564 as the normative specification?

Mirja

> Am 09.05.2017 um 03:46 schrieb Bob Hinden <[email-masked]>:
> 
> Mirja,
> 
>> Mirja Kühlewind
>> 
>> Discuss (2017-05-08)
>>